[arch-commits] Commit in haskell-singletons/repos (2 files)

Felix Yan felixonmars at archlinux.org
Mon Mar 25 07:47:12 UTC 2019


    Date: Monday, March 25, 2019 @ 07:47:11
  Author: felixonmars
Revision: 443397

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-singletons/repos/community-staging-x86_64/
  haskell-singletons/repos/community-staging-x86_64/PKGBUILD
    (from rev 443396, haskell-singletons/trunk/PKGBUILD)

----------+
 PKGBUILD |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

Copied: haskell-singletons/repos/community-staging-x86_64/PKGBUILD (from rev 443396, haskell-singletons/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2019-03-25 07:47:11 UTC (rev 443397)
@@ -0,0 +1,42 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=singletons
+pkgname=haskell-singletons
+pkgver=2.5.1
+pkgrel=9
+pkgdesc="A framework for generating singleton types"
+url="https://github.com/goldfirere/singletons"
+license=('BSD')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-th-desugar' 'haskell-syb')
+makedepends=('ghc' 'haskell-tasty' 'haskell-tasty-golden')
+source=(https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz)
+sha512sums=('31763ee3f8e7ac0a52894c914d9e48eebdd2d9dcf1a29414e303e9e74c1094781eda44e5311c065f96672624a6cd49442d7275c095373256091c937815847269')
+
+build() {
+    cd $_hkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+    runhaskell Setup build
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+    cd $_hkgname-$pkgver
+    
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+    rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}


More information about the arch-commits mailing list